Substy Developers
Creator connections

Verify creator login code

Submit the 2FA code the account owner received for a login that returned mfaChallenge (MYM), with its pendingConnectId. status=connected returns the connected or reconnected creatorId. status=refused with reason code_invalid allows another attempt; code_expired, account_locked, too_many_attempts and login_failed require a new connect_creator_account login. Only the user who started the login can complete it.

POST/v1/agencies/{agencyId}/creator-connections/mfa-verifications

Submit the 2FA code the account owner received for a login that returned mfaChallenge (MYM), with its pendingConnectId. status=connected returns the connected or reconnected creatorId. status=refused with reason code_invalid allows another attempt; code_expired, account_locked, too_many_attempts and login_failed require a new connect_creator_account login. Only the user who started the login can complete it.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creator-connections/mfa-verifications" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "pendingConnectId": "string",    "code": "string"  }'
{  "data": {    "status": "connected",    "creatorId": "string"  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}